# ViewConfigurationSet

## has()

> 判断配置集合中是否含有给定名称的配置项。

**签名：**

`viewConfigSetInstance.has(name: string): boolean`&#x20;

**可用版本：**`1.6.2+`

**入参：**

* `name` - 配置项名称。

**返回：**

`true` - 集合含有给定名称的配置项。否则 `false`。

## get()

> 获取给定名称对应的配置项实例。如果实例尚不存在，则自动创建后返回。

**签名：**

`viewConfigSetInstance.get(name: string):` [`ViewConfiguration`](/viewconfiguration.md)&#x20;

**可用版本：**`1.6.2+`

**入参：**

* `name` - 配置项名称。

**返回：**

已经存在或新创建的配置项实例。

## applyAll()

> 应用集合中的所有配置（执行所有配置项的应用动作）。

**签名：**

`viewConfigSetInstance.applyAll(): ViewConfigurationSet`&#x20;

**可用版本：**`1.6.2+`

**入参：**

无。

**返回：**

实例本身，以供开发者链式调用。

{% hint style="info" %}
应用动作将以异步方式进行。
{% endhint %}

## listAll()

> 列举集合中的所有配置项名称。

**签名：**

`viewConfigSetInstance.listAll(): string[]`&#x20;

**可用版本：**`1.6.2+`

**入参：**

无。

**返回：**

所有配置项名称组成的数组。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.view-js.com/viewconfigurationset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
